Skip to main site navigation
Skip to main content
Switch to text-only view
Switch to default view

Browser Compatibility

Weave has provided the following information about changes in Browser compatibility. Please let Michelle Bakerson or Rhonda Culbertson know if you have any issues accessing or using Weave.

"As new browser versions are released, Weave will discontinue support of earlier versions. Weave will stop supporting Internet Explorer 8 on September 1, 2014. If you are using IE 8, they recommend that you contact your institution’s IT and upgrade prior to that time. The most recent/stable versions of Mozilla Firefox and Google Chrome will continue to be supported."  

Weave is also planning to roll out a completely revamped interface in the coming months. It will have the same content and basic structure, but will be much more visual and user friendly. We will keep you updated as the change gets closer.